# SolrQuery::getHighlightFields

(PECL solr >= 0.9.2)

SolrQuery::getHighlightFields — Returns all the fields that Solr should generate highlighted snippets for

### Description

public SolrQuery::getHighlightFields ( void ) : array

Returns all the fields that Solr should generate highlighted snippets for

### Parameters

This function has no parameters.

### Return Values

Returns an array on success and `NULL` if not set.